Regístrate aquí
 

Inicio / Instalación / Requerimientos previos de ambiente

Requerimientos previos de ambiente

SemanticWebBuilder(SWB) en una aplicación web creada en Java que hace uso de una base de datos y un sistema de archivos, por lo que a diferencia de una aplicación JEE tradicional, es necesario realizar el despliegue de SWB como un directorio abierto

 

La instalación de SWB es necesario tener instalado una Base de Datos, JDK  y  un Servidor de Aplicaciones.

 

1.- JDK a partir de 1.6 xxxx o superior

Dicho software se obtiene de la página del proveedor, seleccionando la plataforma adecuada en la que realizará la instalación. El archivo obtenido en " jdk-version-plataforma.exe ".

Para mayor información acerca de cómo instalar el JDK en la plataforma adecuada del servidor diríjase a aquí

 

2.- Base de Datos, que sea compatible con la con los TripleStores nativos de la plataforma de JENA  que son SDB y TDB

 

3.- Servidor de Aplicaciones, solo se puede instalar en Java ApplicationsServers que sean compatibles con JEE

 

4.- SWB descargar el archivo "swb.war" , este archivo se puede descomprimir como .jar o con winzip.

Para instalar SemanticWebBuilder necesitará: